phpLDAPadmin

# Class: TreeItem

Source Location: /templates/3rdParty/pla/lib/TreeItem.php

### Class Overview

Represents an item in the tree.

### Variables

- $dn
- $icon
- $objectclasses

### Methods

- __construct
- addChild
- childSorted
- close
- delChild
- getChildren
- getDN
- getDNEncode
- getIcon
- getObjectClasses
- getRDN
- getTemplate
- isBaseDN
- isChildSorted
- isInLDAP
- isLeaf
- isOpened
- isSizeLimited
- open
- readingChildren
- rename
- setBase
- setLeaf
- setObjectClasses
- setSizeLimited
- setTemplate
- unsetSizeLimited

### Class Details

[line 15]
Represents an item in the tree.
[ Top ]

### Class Variables

#### $dn =

[line 17]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $icon =

[line 27]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $objectclasses = array()

[line 21]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 41]

`TreeItem __construct( $server_id, $dn)`

#### Tags:

access: | public

#### Parameters:

| $server_id |
| $dn |

[ Top ]

### method addChild [line 163]

`void addChild( DN $dn)`

Add a child to this DN entry.

#### Tags:

access: | public

#### Parameters:

DN | $dn | The DN to add.

[ Top ]

### method childSorted [line 151]

`void childSorted( )`

Mark the children as sorted

#### Tags:

access: | public

[ Top ]

### method close [line 217]

`void close( )`

Mark this node as closed.

#### Tags:

access: | public

[ Top ]

### method delChild [line 179]

`void delChild( DN $dn)`

Delete a child from this DN entry.

#### Tags:

access: | public

#### Parameters:

DN | $dn | The DN to add.

[ Top ]

### method getChildren [line 122]

`void getChildren( )`

Returns null if the children have never be defined

or an array of the dn of the children

#### Tags:

access: | public

[ Top ]

### method getDN [line 54]

`DN getDN( )`

Get the DN of this tree item.

#### Tags:

return: | The DN of this item.
access: | public

[ Top ]

### method getDNEncode [line 61]

`void getDNEncode( )`

#### Tags:

access: | public

[ Top ]

### method getIcon [line 258]

`void getIcon( )`

Returns the path of the icon file used to represent this node ;

If the icon hasnt been set, it will call get_icon()

#### Tags:

access: | public

[ Top ]

### method getObjectClasses [line 104]

`void getObjectClasses( )`

#### Tags:

access: | public

[ Top ]

### method getRDN [line 70]

`RDN getRDN( )`

Get the RDN of this tree items DN.

#### Tags:

return: | The RDN of this items DN.
access: | public

[ Top ]

### method getTemplate [line 305]

`void getTemplate( )`

#### Tags:

access: | public

[ Top ]

### method isBaseDN [line 90]

`void isBaseDN( )`

Return if this item is a base DN item.

#### Tags:

access: | public

[ Top ]

### method isChildSorted [line 141]

`void isChildSorted( )`

Do the children require resorting

#### Tags:

access: | public

[ Top ]

### method isInLDAP [line 111]

`void isInLDAP( )`

#### Tags:

access: | public

[ Top ]

### method isLeaf [line 247]

`void isLeaf( )`

Return if this node is a leaf.

#### Tags:

access: | public

[ Top ]

### method isOpened [line 207]

`void isOpened( )`

Return if this item has been opened.

#### Tags:

access: | public

[ Top ]

### method isSizeLimited [line 291]

`void isSizeLimited( )`

Return if this node has hit an LDAP size limit (and thus doesnt have all its children).

#### Tags:

access: | public

[ Top ]

### method open [line 227]

`void open( )`

Opens the node ; the children of the node must have been defined

#### Tags:

access: | public

[ Top ]

### method readingChildren [line 134]

`void readingChildren( $bool)`

#### Tags:

access: | public

#### Parameters:

| $bool |

[ Top ]

### method rename [line 197]

`void rename( DN $dn)`

Rename this DN.

#### Tags:

access: | public

#### Parameters:

DN | $dn | The DN to rename to.

[ Top ]

### method setBase [line 80]

`void setBase( )`

Set this item as a LDAP base DN item.

#### Tags:

access: | public

[ Top ]

### method setLeaf [line 237]

`void setLeaf( )`

Mark this node as a leaf.

#### Tags:

access: | public

[ Top ]

### method setObjectClasses [line 97]

`void setObjectClasses( $oc)`

#### Tags:

access: | public

#### Parameters:

| $oc |

[ Top ]

### method setSizeLimited [line 271]

`void setSizeLimited( )`

Mark this node as a size limited (it wont have all its children).

#### Tags:

access: | public

[ Top ]

### method setTemplate [line 298]

`void setTemplate( $template)`

#### Tags:

access: | public

#### Parameters:

| $template |

[ Top ]

### method unsetSizeLimited [line 281]

`void unsetSizeLimited( )`

Clear the size limited flag.

#### Tags:

access: | public

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:14 +0100 by phpDocumentor 1.4.1